// return the value for the given url parameter
function getParameterValue(p) {
    parameter = p.replace(/[\[]/, "\\\[").replace(/[\]]/, "\\\]");
    var regexS = "[\\?&]" + parameter + "=([^&#]*)";
    var regex = new RegExp(regexS);
    var results = regex.exec(window.location.href);
    if(results == null)
        return "";
    else
        return results[1];
}

// retrieve cookie information
function getCookie(name) {
	var nameEQ = name + "=";
	var ca = document.cookie.split(';');
	for (var i = 0; i < ca.length; i++) {
		var c = ca[i];
		while (c.charAt(0) == ' ') c = c.substring(1, c.length);
		if (c.indexOf(nameEQ) == 0) {
			return c.substring(nameEQ.length, c.length);
		}
	}
	return "";
}

// save cookie information
function setCookie(name, value) {
	var tomorrow = new Date();
	tomorrow.setDate(tomorrow.getDate() + 1);
	var twoam = new Date(tomorrow.getFullYear(), tomorrow.getMonth(), tomorrow.getDate(), 2, 0, 0, 0);
	createCookie(name, value, twoam.toString());
}

function createCookie(name, value, expires) {
	var path = document.URL;
	path = path.substr(0, path.lastIndexOf("/"));
	document.cookie = name + "=" + value + ";SameSite=Lax; expires=" + expires + "; path=" + path;
}

// delete cookie information
function deleteCookie(name) {
	createCookie(name, "", -1);
}

// localization function
function localizeTags(tag) {
	var tags = document.getElementsByTagName(tag);
	for (var i = 0; i < tags.length; i++) {
		if (tags[i].id != "") {
			var tag = document.getElementById(tags[i].id);
			tag.innerHTML = _(tag.innerHTML);
		}
	}
}
