@echo off
set INSTALL_DIR=%~dp0
%INSTALL_DIR:~0,2%
cd %INSTALL_DIR%

echo Sprachen/Languages: [d]eutsch, [e]nglish, [f]rancais, [es]panol, [i]taliano, [c]esky, [ee]sti keel, [l]atvinski, [n]orsk, [sv]enska, [su]omen kieli

set /p ANSWER=: 

set LANG=%ANSWER:~,1%

if /i "%LANG%" EQU "d" (
	set LOCALE=de DE
	goto next
)
if /i "%LANG%" EQU "e" (
	set LOCALE=en EN
	goto next
)
if /i "%LANG%" EQU "f" (
	set LOCALE=fr FR
	goto next
)
if /i "%LANG%" EQU "c" (
	set LOCALE=cs CZ
	goto next
)
if /i "%LANG%" EQU "es" (
	set LOCALE=es ES
	goto next
)
if /i "%LANG%" EQU "i" (
	set LOCALE=it IT
	goto next
)
if /i "%LANG%" EQU "ee" (
	set LOCALE=et EE
	goto next
)
if /i "%LANG%" EQU "l" (
	set LOCALE=lv LV
	goto next
)
if /i "%LANG%" EQU "su" (
	set LOCALE=fi FI
	goto next
)
if /i "%LANG%" EQU "n" (
	set LOCALE=no NO
	goto next
)
if /i "%LANG%" EQU "sv" (
	set LOCALE=sv SE
	goto next
)

:next
if /i "%LOCALE%" EQU "" exit

echo @echo off > Trial-Live.bat
echo.  >> Trial-Live.bat

echo if exist language.bat ^( >> Trial-Live.bat
echo 	del language.bat >> Trial-Live.bat
echo ^) >> Trial-Live.bat
echo.  >> Trial-Live.bat

echo cd app\bin >> Trial-Live.bat
echo start "TrialLiveWKB" javaw.exe -Dfile.encoding=UTF8 -m de.gaeusoftware.triallivewkb/de.gaeusoftware.triallivewkb.TrialLiveWKB %LOCALE% >> Trial-Live.bat
echo exit >> Trial-Live.bat

start /b "" Trial-Live.bat

exit
